#ifndef __SERVICE_MILEAGE_USER_H__
#define __SERVICE_MILEAGE_USER_H__

#include "common.h"

typedef unsigned char    ee_uint8_t;
typedef unsigned short   ee_uint16_t;
typedef unsigned int     ee_uint32_t;

typedef enum
{
    EM_TRIP_A,
    EM_TRIP_B,
    EM_TRIP_MAX,
} DataTripEnum_t;

void CalcODO_50ms_Services(void);
void CalcODO_100ms_Services(void);
void CalcODOKL30Init(void);
void CalcODOKL15Init(void);
void CalcODOIgnOffInit(void);
uint32_t Data_ODO_Read ( void );
uint32_t Data_Read_Trip(DataTripEnum_t TripN);
void Data_Clear_Trip ( DataTripEnum_t TripN );
void Data_Mileage_Clear(void);

#endif

